ar6k-without-sdio.patch

Make the AR6000 WLAN driver compile after moving it outside the
Atheros SDIO stack. Note that the config option's name changes
as well.

The choice of a non-standard location (drivers/ar6000/) is
intentional. The driver is still very far from being in shape for
mainline inclusion, and the odd location should serve as an
immediate warning.

Not-Yet-Signed-off-by: Werner Almesberger <werner@openmoko.org>

Index: ktrack/arch/arm/Kconfig
===================================================================
--- ktrack.orig/arch/arm/Kconfig	2008-11-02 02:50:01.000000000 -0200
+++ ktrack/arch/arm/Kconfig	2008-11-02 04:29:20.000000000 -0200
@@ -1269,7 +1269,7 @@
 
 source "drivers/uwb/Kconfig"
 
-source "drivers/sdio/Kconfig"
+source "drivers/ar6000/Kconfig"
 
 source "drivers/mmc/Kconfig"
 
Index: ktrack/drivers/Makefile
===================================================================
--- ktrack.orig/drivers/Makefile	2008-11-02 02:50:02.000000000 -0200
+++ ktrack/drivers/Makefile	2008-11-02 04:29:20.000000000 -0200
@@ -87,6 +87,7 @@
 obj-$(CONFIG_MMC)		+= mmc/
 obj-$(CONFIG_MEMSTICK)		+= memstick/
 obj-$(CONFIG_SDIO)              += sdio/
+obj-$(CONFIG_AR6000_WLAN)	+= ar6000/
 obj-$(CONFIG_NEW_LEDS)		+= leds/
 obj-$(CONFIG_INFINIBAND)	+= infiniband/
 obj-$(CONFIG_SGI_SN)		+= sn/
Index: ktrack/drivers/ar6000/Kconfig
===================================================================
--- /dev/null	1970-01-01 00:00:00.000000000 +0000
+++ ktrack/drivers/ar6000/Kconfig	2008-11-02 04:29:20.000000000 -0200
@@ -0,0 +1,7 @@
+config AR6000_WLAN
+        tristate "AR6000 wireless networking over SDIO"
+	depends on MMC
+        select WIRELESS_EXT
+        default m
+        help
+          good luck.
Index: ktrack/drivers/ar6000/Makefile
===================================================================
--- ktrack.orig/drivers/ar6000/Makefile	2008-11-02 02:50:02.000000000 -0200
+++ ktrack/drivers/ar6000/Makefile	2008-11-02 04:29:20.000000000 -0200
@@ -13,7 +13,7 @@
 
 EXTRA_CFLAGS += -DKERNEL_2_6
 
-obj-$(CONFIG_SDIO_AR6000_WLAN) += ar6000.o
+obj-$(CONFIG_AR6000_WLAN) += ar6000.o
 
 ar6000-objs += htc/ar6k.o      		   \
 	       htc/ar6k_events.o 	   \
